summaryrefslogtreecommitdiffstats
path: root/libdbusmenu-gtk/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-10-29 20:55:34 +0000
committer Eric Hameleers <alien@slackware.com>2018-10-29 20:55:34 +0000
commit0a51634a8bce7218400f3782aaadb1196ea6d67f (patch)
tree41f518779026aa2bf8294da24a55466ba7023b24 /libdbusmenu-gtk/build
parent8540e55f07c5af0fbe404735a6159170ee82fa1d (diff)
downloadasb-0a51634a8bce7218400f3782aaadb1196ea6d67f.tar.gz
asb-0a51634a8bce7218400f3782aaadb1196ea6d67f.tar.xz
Initial revision
Diffstat (limited to 'libdbusmenu-gtk/build')
-rwxr-xr-xlibdbusmenu-gtk/build/libdbusmenu-gtk.SlackBuild165
-rw-r--r--libdbusmenu-gtk/build/slack-desc19
2 files changed, 184 insertions, 0 deletions
diff --git a/libdbusmenu-gtk/build/libdbusmenu-gtk.SlackBuild b/libdbusmenu-gtk/build/libdbusmenu-gtk.SlackBuild
new file mode 100755
index 00000000..f6fb6589
--- /dev/null
+++ b/libdbusmenu-gtk/build/libdbusmenu-gtk.SlackBuild
@@ -0,0 +1,165 @@
+#!/bin/sh
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2018 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libdbusmenu-gtk
+SRCNAM=libdbusmenu
+VERSION=${VERSION:-16.04.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+# Trivial patch:
+cat $CWD/patches/libdbusmenu_configure_valgrind.patch | patch -p1 --verbose || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+build_it()
+{
+# Configure:
+CFLAGS="$SLKCFLAGS -Wno-error=deprecated-declarations" \
+CXXFLAGS="$SLKCFLAGS -Wno-error=deprecated-declarations" \
+../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-static=no \
+ --disable-tests \
+ --disable-vala \
+ --build=$TARGET \
+ $* \
+ || return 1
+
+# Build and install:
+make $NUMJOBS || make || return 1
+make install DESTDIR=$PKG || return 1
+}
+
+# We patched configure.ac:
+autoreconf -vif
+
+# GTK+-2 support:
+mkdir -p build-gtk2
+cd build-gtk2
+ build_it --with-gtk=2 || exit 1
+cd -
+
+# GTK+-3 support:
+mkdir -p build-gtk3
+cd build-gtk3
+ build_it --with-gtk=3 || exit 1
+cd -
+
+# Strip binaries:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Add a description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Create the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/libdbusmenu-gtk/build/slack-desc b/libdbusmenu-gtk/build/slack-desc
new file mode 100644
index 00000000..c7b00951
--- /dev/null
+++ b/libdbusmenu-gtk/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libdbusmenu-gtk: libdbusmenu-gtk (GTK implementation of the DBusMenu protocol)
+libdbusmenu-gtk:
+libdbusmenu-gtk: A small little library that was created by pulling out some
+libdbusmenu-gtk: comon code out of indicator-applet.
+libdbusmenu-gtk: It passes a menu structure across DBus so that a program can
+libdbusmenu-gtk: create a menu simply without worrying about how it is displayed
+libdbusmenu-gtk: on the other side of the bus.
+libdbusmenu-gtk:
+libdbusmenu-gtk:
+libdbusmenu-gtk: Homepage: https://launchpad.net/libdbusmenu
+libdbusmenu-gtk: